load("rounding_exact.sage")


vertices = 4
objective_scale = 6
name = "K2"

p=FAProblem("SDP_n"+str(vertices)+"_LB_F_edges2blind__objective_"+name+".txt.dat-s",objective_scale)

# Zero vectors come from random graph, so they are [1,1,1,1,1]
zero_vectors=[
[[1,1,1,1],[1,-1,-1,1]]
]


np = p.change_base(zero_vectors)
write_problem_file("altered_"+name+".dat-s",np)

solve_using_csdp("altered_"+name+".dat-s")

pa=FAProblem("altered_"+name+".dat-s")

pa.perform_rounding(objective_scale*100)
write_rounded_solution_to_file(pa)
